// Add support for source-maps.
require('source-map-support/register')

// Load and setup the env variables.
const { env, rawEnv } = require('@player1os/dotenv').default()
global._env_ = env
global._raw_env_ = rawEnv
process.env = Object.assign({}, rawEnv, process.env)

// Load bluebird as the global promise library.
global.Promise = require('bluebird')

// Setup the module path alias.
require('@player1os/module-path-alias')('...')
